<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Kalk: QuaternionTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Kalk
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A calculator for reals, imaginary and complex numbers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_quaternion_test.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">QuaternionTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tests_2quaternion_8h_source.html">quaternion.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for QuaternionTest:</div>
<div class="dyncontent">
<div class="center"><img src="class_quaternion_test__inherit__graph.png" border="0" usemap="#_quaternion_test_inherit__map" alt="Inheritance graph"/></div>
<map name="_quaternion_test_inherit__map" id="_quaternion_test_inherit__map">
<area shape="rect" id="node2" href="class_test.html" title="Test" alt="" coords="37,5,85,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for QuaternionTest:</div>
<div class="dyncontent">
<div class="center"><img src="class_quaternion_test__coll__graph.png" border="0" usemap="#_quaternion_test_coll__map" alt="Collaboration graph"/></div>
<map name="_quaternion_test_coll__map" id="_quaternion_test_coll__map">
<area shape="rect" id="node2" href="class_test.html" title="Test" alt="" coords="37,5,85,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4e1d28e026be65cc74159c588b290c88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e1d28e026be65cc74159c588b290c88"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>testParsing</b> ()</td></tr>
<tr class="separator:a4e1d28e026be65cc74159c588b290c88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f0b970dd27430bca30bf70dfc39b409"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f0b970dd27430bca30bf70dfc39b409"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>testConstructor</b> ()</td></tr>
<tr class="separator:a9f0b970dd27430bca30bf70dfc39b409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5fe528474949f6c155df58fa2b25e45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae5fe528474949f6c155df58fa2b25e45"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>testAll</b> ()</td></tr>
<tr class="separator:ae5fe528474949f6c155df58fa2b25e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_test"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_test')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_test.html">Test</a></td></tr>
<tr class="memitem:a41d15626dcd00590b82295595573f8b1 inherit pub_methods_class_test"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41d15626dcd00590b82295595573f8b1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>test</b> (bool expression) const </td></tr>
<tr class="separator:a41d15626dcd00590b82295595573f8b1 inherit pub_methods_class_test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf9736d73b521853d8991ad63c432196 inherit pub_methods_class_test"><td class="memTemplParams" colspan="2"><a class="anchor" id="abf9736d73b521853d8991ad63c432196"></a>
template&lt;class T &gt; </td></tr>
<tr class="memitem:abf9736d73b521853d8991ad63c432196 inherit pub_methods_class_test"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>assertTrue</b> (T first, T second) const </td></tr>
<tr class="separator:abf9736d73b521853d8991ad63c432196 inherit pub_methods_class_test"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a559922a2a40ea4cb9a8879837f7c4a5a inherit pub_methods_class_test"><td class="memTemplParams" colspan="2"><a class="anchor" id="a559922a2a40ea4cb9a8879837f7c4a5a"></a>
template&lt;class T &gt; </td></tr>
<tr class="memitem:a559922a2a40ea4cb9a8879837f7c4a5a inherit pub_methods_class_test"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>assertFalse</b> (T first, T second) const </td></tr>
<tr class="separator:a559922a2a40ea4cb9a8879837f7c4a5a inherit pub_methods_class_test"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2018 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>kalk/tests/<a class="el" href="tests_2quaternion_8h_source.html">quaternion.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_quaternion_test.html">QuaternionTest</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
